WordPress.org

Support

Support » Plugins and Hacks » WordPress.com Stats » WordPress Stats 1.8.5 breaks my plugins page

WordPress Stats 1.8.5 breaks my plugins page

  • Yesterday I upgraded to WordPress Stats 1.8.5 on my WP 2.9.1

    When I want to call /wp-admin/plugins.php I get the text

    Future upgrades to WordPress.com Stats will only be available in Jetpack. Jetpack connects your blog to the WordPress.com cloud, enabling awesome features.

    and nothing else.

    When I look into the HTML source, I see

    <b>Fatal error</b>: Call to undefined function is_multisite() in <b>/www/htdocs/...../wp-content/plugins/stats/stats.php</b> on line <b>26</b>

    I have to manually rename the FTP folder and thus disable the stats plugin to get access to my plugins page again.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Deactivate the WP stats. UPDATE your WordPress installation, 2.9 is a very old version, there are some serious security issues with those versions.

    One you have updated, install the last stable version 1.8.1 (this is the version before they added the Jetpack message)and don’t update it again. to get rid of the update notices, edit the stat php file with a different version number, like 100.8.9, and it won’t ask for update again.

    I hope you keep a backup of your entire site, if you do, you should have the older version of the plugin, if not, let me know and i can send it by email.

    Hope that helps.

    Plugin Author Tim Moore

    @tmoorewp

    Hi DJ Doena,

    There is a fix in the latest download of WordPress.com Stats that will fix this error message.

    If you’d like to remove the upgrade notification, you can also check the settings page for WordPress.com Stats and disable the notice there.

    Thanks,

    Tim

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘WordPress Stats 1.8.5 breaks my plugins page’ is closed to new replies.
Skip to toolbar